import React from 'react';

function getDefaultExportFromCjs (x) {
	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
}

var classnames = {exports: {}};

var hasRequiredClassnames;function requireClassnames(){if(hasRequiredClassnames)return classnames.exports;hasRequiredClassnames=1;(function(module){(function(){var hasOwn={}.hasOwnProperty;function classNames(){var classes="";for(var i=0;i<arguments.length;i++){var arg=arguments[i];if(arg){classes=appendClass(classes,parseValue(arg));}}return classes}function parseValue(arg){if(typeof arg==="string"||typeof arg==="number"){return arg}if(typeof arg!=="object"){return ""}if(Array.isArray(arg)){return classNames.apply(null,arg)}if(arg.toString!==Object.prototype.toString&&!arg.toString.toString().includes("[native code]")){return arg.toString()}var classes="";for(var key in arg){if(hasOwn.call(arg,key)&&arg[key]){classes=appendClass(classes,key);}}return classes}function appendClass(value,newClass){if(!newClass){return value}if(value){return value+" "+newClass}return value+newClass}if(module.exports){classNames.default=classNames;module.exports=classNames;}else {window.classNames=classNames;}})();})(classnames);return classnames.exports}

var classnamesExports = requireClassnames();
var cn = /*@__PURE__*/getDefaultExportFromCjs(classnamesExports);

var s$1 = {"flex":"aBzVa","flexRow":"jmXb8","flexColumn":"x0vks","flexJustifyStart":"UHINM","flexJustifyEnd":"oEPAM","flexJustifyCenter":"_-8Dsn","flexJustifyBetween":"c-5OJ","flexJustifyAround":"lwV-b","flexAlignStart":"_7Jbs-","flexAlignEnd":"kjNm4","flexAlignCenter":"JqmV0","flexAlignStretch":"Fop-Y","flexWrap":"ZRRcW","flexNoWrap":"_5eIFD","flexWrapReverse":"bkxIG","fullWidth":"DNr5p","fitContent":"Pq5Q4","fullHeight":"pNy-3"};

function Flex(props){const{tag,children,className,style,direction,justify,align,wrap,gap,fitContent,fullWidth,fullHeight,...rest}=props;return /*#__PURE__*/React.createElement(tag||"div",{...rest,className:cn(s$1.flex,{[s$1.flexRow]:direction==="row",[s$1.flexColumn]:direction==="column",[s$1.flexJustifyStart]:justify==="start",[s$1.flexJustifyEnd]:justify==="end",[s$1.flexJustifyCenter]:justify==="center",[s$1.flexJustifyBetween]:justify==="between",[s$1.flexJustifyAround]:justify==="around",[s$1.flexAlignStart]:align==="start",[s$1.flexAlignEnd]:align==="end",[s$1.flexAlignCenter]:align==="center",[s$1.flexAlignStretch]:align==="stretch",[s$1.flexWrap]:typeof wrap==="boolean"?wrap:wrap==="wrap",[s$1.flexWrapNowrap]:wrap==="nowrap",[s$1.flexWrapReverse]:wrap==="wrap-reverse",[s$1.fitContent]:fitContent,[s$1.fullWidth]:fullWidth,[s$1.fullHeight]:fullHeight},className),style:{gap,...style}},children)}

function HStack(props){return /*#__PURE__*/React.createElement(React.Fragment,null,/*#__PURE__*/React.createElement(Flex,{...props,fullWidth:true,direction:"row"}))}

function Spacer(props){return /*#__PURE__*/React.createElement(React.Fragment,null,/*#__PURE__*/React.createElement("div",{className:props.className,style:{...props.style,width:props.width,height:props.height}}))}

var s = {"row":"YEzwv","column":"Z-RD9","all":"kOX6H","none":"_1rPCl","fullWidth":"u5LFu","fullHeight":"_8m8tM"};

function Viewport(props){const{children,className,style,direction,fullWidth,fullHeight,...rest}=props;return /*#__PURE__*/React.createElement(React.Fragment,null,/*#__PURE__*/React.createElement("div",{...rest,className:cn(className,s[direction||"none"],{[s.fullWidth]:fullWidth,[s.fullHeight]:fullHeight}),style:style},children))}

function VStack(props){return /*#__PURE__*/React.createElement(React.Fragment,null,/*#__PURE__*/React.createElement(Flex,{...props,fullWidth:true,direction:"column"}))}

export { Flex, HStack, Spacer, VStack, Viewport };
//# sourceMappingURL=index.js.map
